Bug 1010938 - [Doc Bug Fix] Websphere MQ RA deployment errors
[Doc Bug Fix] Websphere MQ RA deployment errors
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ER1
: EAP 6.4.0
Assigned To: David Michael
Russell Dickenson
: Documentation, EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 06:30 EDT by Vladimir Rastseluev
Modified: 2015-04-17 02:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-17 02:13:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Rastseluev 2013-09-23 06:30:00 EDT
Document URL: 
http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/6.2/html/Administration_and_Configuration_Guide/Deploy_the_WebSphere_MQ_Resource_Adapter.html

Section Number and Name: 
20.8. Deploy the WebSphere MQ Resource Adapter

Describe the issue: 
This chapter contains several inaccuracies:
-  not presented parameters hostName and port parameters in connection factory setup examples
- wrong description of queue destination setup examples
- there isn't description how to set up topic destinations

Suggestions for improvement:
1)In Prerequisites part, add after 

MQ.QUEUE.NAME: The name of the destination queue 

text:

MQ.TOPIC.NAME: The name of the destination topic 
 
2)add to both tables 3.d.A and 3.d.B in 20.8 Procedure:

a) before 

<config-property name="channel">
MQ.CHANNEL.NAME
</config-property>

text:

<config-property name="hostName">
MQ.HOST.NAME
</config-property>
<config-property name="port">
MQ.PORT
</config-property>


b)before

</admin-object>

text:

<config-property name="baseQueueManagerName">
MQ.QUEUE.MANAGER
</config-property>

c) before

</admin-objects>

text:

<admin-object class-name="com.ibm.mq.connector.outbound.MQTopicProxy" jndi-name="java:jboss/MQ.TOPIC.NAME" pool-name="MQ.TOPIC.NAME">
<config-property name="baseTopicName">
MQ.TOPIC.NAME
</config-property>
<config-property name="brokerPubQueueManager">
MQ.QUEUE.MANAGER
</config-property>
</admin-object>
Comment 3 Scott Mumford 2014-02-26 00:13:09 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 4 Scott Mumford 2014-02-26 00:15:28 EST
Moving to ON_QA.

The changes should be available for review on the documentation stage within an hour or so from this comment.

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/
Comment 5 Martin Svehla 2014-04-03 07:29:08 EDT
This bug is a bit older, so I hope I'm looking at correct documentation version: http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.3/html/Administration_and_Configuration_Guide/Deploy_the_WebSphere_MQ_Resource_Adapter.html

Changes suggested by Vladimir are in the documentation with one mistake however. In figure 3.4.1 the sequence of <admin-object> elements is wrong (Vladimir's comment might have been a bit confusing).

<resource-adapter>
...
<admin-objects>
  <admin-object class-name="com.ibm.mq.connector.outbound.MQQueueProxy" 
          jndi-name="java:jboss/MQ.QUEUE.NAME" 
          pool-name="MQ.QUEUE.NAME">
    <config-property name="baseQueueName">
      MQ.QUEUE.NAME
    </config-property>
    <config-property name="baseQueueManagerName">
      MQ.QUEUE.MANAGER
    </config-property>
      <-- here should be </admin-object>
  <admin-object class-name="com.ibm.mq.connector.outbound.MQTopicProxy"
          jndi-name="java:jboss/MQ.TOPIC.NAME" pool-name="MQ.TOPIC.NAME">
    <config-property name="baseTopicName">
      MQ.TOPIC.NAME
    </config-property>
    <config-property name="brokerPubQueueManager">
      MQ.QUEUE.MANAGER
    </config-property>
  </admin-object>
  </admin-object> <-- should be deleted
</admin-objects>
</resource-adapter>

(ie both <admin-object> elements should be on the same level in the document tree, right under <admin-objects> element. Figure 3.4.2 is correct.)


Also can you fix alignment please? Line 'pool-name="MQ.TOPIC.NAME">' in figures 3.4.1 and 3.4.2 starts at the beginning of the line, instead of being aligned with the attribute on the previous line. It makes the text a bit harder to read.


Otherwise it looks good.
Comment 8 Martin Svehla 2015-01-20 02:58:20 EST
Looks good now. Verified, thanks!

Note You need to log in before you can comment on or make changes to this bug.